POST
/
api
/
v1
/
leases
/
{lease_id}
/
cancel
Cancel lease
curl --request POST \
  --url http://127.0.0.1:8080/api/v1/leases/{lease_id}/cancel \
  --header 'Content-Type: application/json' \
  --data '
{
  "note": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "renter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "start_date": "2023-12-25",
  "monthly_rent": 123,
  "deposit_amount": 123,
  "number_of_occupants": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "end_date": "2023-12-25",
  "note": "<string>"
}

Path Parameters

lease_id
string<uuid>
required

Lease ID

Body

application/json
note
string | null

Response

200 - application/json

Cancelled lease

id
string<uuid>
required
organization_id
string<uuid>
required
property_id
string<uuid>
required
room_id
string<uuid>
required
renter_id
string<uuid>
required
status
enum<string>
required
Available options:
ACTIVE,
ENDED,
CANCELLED
start_date
string<date>
required
monthly_rent
number<double>
required
deposit_amount
number<double>
required
number_of_occupants
integer<int32>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
end_date
string<date> | null
note
string | null